#
# This makefile will build all of the basic serial port XCMDs.
#
# 2/88 - Initial coding by Harry R. Chesley.
#

POptions	=	-w

HyperCommands	ÄÄ	breakSPort.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7030 -sn Main=breakSPort ¶
		breakSPort.p.o "{MPW}"Libraries:interface.o

breakSPort.p.o	Ä	breakSPort.p SPortUtil.inc

HyperCommands	ÄÄ	closeSPort.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7031 -sn Main=closeSPort ¶
		closeSPort.p.o "{MPW}"Libraries:interface.o

closeSPort.p.o	Ä	closeSPort.p SPortUtil.inc

HyperCommands	ÄÄ	killSPort.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7032 -sn Main=killSPort ¶
		killSPort.p.o "{MPW}"Libraries:interface.o

killSPort.p.o	Ä	killSPort.p SPortUtil.inc

HyperCommands	ÄÄ	sendSPort.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7033 -sn Main=sendSPort ¶
		sendSPort.p.o "{MPW}"Libraries:interface.o

sendSPort.p.o	Ä	sendSPort.p SPortUtil.inc

HyperCommands	ÄÄ	setSPortBufferSize.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7034 -sn Main=setSPortBufferSize ¶
		setSPortBufferSize.p.o "{MPW}"Libraries:interface.o

setSPortBufferSize.p.o	Ä	setSPortBufferSize.p SPortUtil.inc

HyperCommands	ÄÄ	configureSPort.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7035 -sn Main=configureSPort ¶
		configureSPort.p.o "{MPW}"Libraries:interface.o

configureSPort.p.o	Ä	configureSPort.p SPortUtil.inc

HyperCommands	ÄÄ	XModem.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XCMD=7036 -sn Main=XModem ¶
		XModem.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

XModem.p.o	Ä	XModem.p SPortUtil.inc

HyperCommands	ÄÄ	charsAvailable.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7030 -sn Main=charsAvailable ¶
		charsAvailable.p.o "{MPW}"Libraries:interface.o

charsAvailable.p.o	Ä	charsAvailable.p SPortUtil.inc

HyperCommands	ÄÄ	recvChars.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7031 -sn Main=recvChars ¶
		recvChars.p.o "{MPW}"Libraries:interface.o

recvChars.p.o	Ä	recvChars.p SPortUtil.inc

HyperCommands	ÄÄ	recvUpTo.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7032 -sn Main=recvUpTo ¶
		recvUpTo.p.o "{MPW}"Libraries:interface.o

recvUpTo.p.o	Ä	recvUpTo.p SPortUtil.inc

HyperCommands	ÄÄ	sendSPortDone.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7033 -sn Main=sendSPortDone ¶
		sendSPortDone.p.o "{MPW}"Libraries:interface.o

sendSPortDone.p.o	Ä	sendSPortDone.p SPortUtil.inc

HyperCommands	ÄÄ	SPortBufferSize.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7034 -sn Main=SPortBufferSize ¶
		SPortBufferSize.p.o "{MPW}"Libraries:interface.o

SPortBufferSize.p.o	Ä	SPortBufferSize.p SPortUtil.inc

HyperCommands	ÄÄ	SPortVersion.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7035 -sn Main=SPortVersion ¶
		SPortVersion.p.o

SPortVersion.p.o	Ä	SPortVersion.p SPortUtil.inc

HyperCommands	ÄÄ	SPortConfiguration.p.o
	link -m ENTRYPOINT -o HyperCommands -rt XFCN=7036 -sn Main=SPortConfiguration ¶
		SPortConfiguration.p.o "{MPW}"Libraries:interface.o "{MPW}"PLibraries:PasLib.o

SPortConfiguration.p.o	Ä	SPortConfiguration.p SPortUtil.inc
